[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#683142: unblock: bdii/5.2.12-1



On 2012-07-29 06:47, Mattias Ellert wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: freeze-exception
> 
> unblock bdii/5.2.12-1
> 
> Hi!
> 
> The bdii package was removed from testing due to an RC bug, together
> with the packages that depends on it. The 5.2.12-1 update fixes the RC
> bug (bug #663444). I would like to request a freeze exception for this
> update to allow the bdii package and the packages depending on it to be
> part of the release.
> 
> 	Mattias
> 

Why did you include a new upstream release in this?  It makes it harder
for us to review and reduces the chance for you to get the unblock?
Does this upstream release have important bug fixes, if so what are they?

$ diff -Naurp bdii-5.2.5 bdii-5.2.12 \
   | filterdiff  -x '**/.pc/**' -x '**/*.spec' \
   | diffstat
 Makefile                           |   19 +-
 bin/bdii-update                    |    7 -
 debian/bdii.lintian-overrides      |    4
 debian/bdii.postinst               |    6
 debian/bdii.preinst                |   16 ++
 debian/changelog                   |    8 +
 debian/control                     |    4
 debian/copyright                   |   36 +++--
 debian/patches/bdii-default.patch  |   18 +-
 debian/patches/bdii-run-full.patch |  248 [...]
 debian/patches/series              |    8 -
 debian/rules                       |   50 ++++---
 etc/DB_CONFIG                      |   29 ----
 etc/DB_CONFIG_top                  |   15 ++
 etc/bdii-slapd.conf                |   23 +--
 etc/bdii-top-slapd.conf            |   22 +--
 etc/init.d/bdii                    |   39 ++++-
 17 files changed, 308 insertions(+), 244 deletions(-)



--- bdii-5.2.5/debian/bdii.preinst
+++ bdii-5.2.12/debian/bdii.preinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "upgrade" ] ; then
+    if dpkg --compare-versions "$2" lt "5.2.12" ; then
+        # Old versions with slapd configs listed in conffiles
+       if [ -w /var/lib/dpkg/info/bdii.conffiles ] ; then
+           sed -e /bdii-slapd.conf/d -e /bdii-top-slapd.conf/d \
+               -i /var/lib/dpkg/info/bdii.conffiles
+       fi
+       rm -f /etc/bdii/bdii-slapd.conf /etc/bdii/bdii-top-slapd.conf
+    fi
+fi
+
+#DEBHELPER#


I think "dpkg-maintscript-helper rm_conffile" is what you want to be
policy compliant, but I could be wrong.


I haven't read the full diff, so there are possibly more issues lurking
in it.  In its current state, I am not inclined to grant an exception.

~Niels

PS: urgency=high is no effect when the package is not in testing (in
case you weren't aware of it)


Reply to: